"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commitLintPlugin = {
    rules: {
        'body-match': (parsed, _, regex) => {
            const { body, footer } = parsed;
            const messageBody = body || footer;
            if (!regex) {
                return [true];
            }
            const isValid = messageBody !== null && new RegExp(regex, 'ig').test(messageBody);
            return [
                isValid,
                `commit message body (${messageBody}) doest not match with pattern : ${regex}`,
            ];
        },
    },
};
exports.default = commitLintPlugin;
//# sourceMappingURL=index.js.map